From: "Martin Mokrejs" <mmokrejs@fold.natur.cuni.cz>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/sickle/
Date: Mon, 9 Mar 2015 16:45:38 +0000 (UTC) [thread overview]
Message-ID: <1425919450.53f3408793c23dd0612952d22bc4a6c599e2b295.mmokrejs@gentoo> (raw)
commit: 53f3408793c23dd0612952d22bc4a6c599e2b295
Author: Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Mon Mar 9 16:44:10 2015 +0000
Commit: Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Mar 9 16:44:10 2015 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=53f34087
respect CC and CFLAGS; added an ebuild for latest release tarball, works
Package-Manager: portage-2.2.15
sci-biology/sickle/ChangeLog | 6 ++++++
.../sickle/{sickle-9999.ebuild => sickle-1.33.ebuild} | 17 ++++++++++++++---
sci-biology/sickle/sickle-9999.ebuild | 17 ++++++++++++++---
3 files changed, 34 insertions(+), 6 deletions(-)
diff --git a/sci-biology/sickle/ChangeLog b/sci-biology/sickle/ChangeLog
index 443ff95..4d539a2 100644
--- a/sci-biology/sickle/ChangeLog
+++ b/sci-biology/sickle/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*sickle-1.33 (09 Mar 2015)
+
+ 09 Mar 2015; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +sickle-1.33.ebuild,
+ sickle-9999.ebuild:
+ respect CC and CFLAGS; added an ebuild for latest release tarball, works
+
15 Jan 2015; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> sickle-9999.ebuild:
correct package description
diff --git a/sci-biology/sickle/sickle-9999.ebuild b/sci-biology/sickle/sickle-1.33.ebuild
similarity index 52%
copy from sci-biology/sickle/sickle-9999.ebuild
copy to sci-biology/sickle/sickle-1.33.ebuild
index 022474e..2288aea 100644
--- a/sci-biology/sickle/sickle-9999.ebuild
+++ b/sci-biology/sickle/sickle-1.33.ebuild
@@ -4,21 +4,32 @@
EAPI=5
-inherit eutils git-r3
+inherit eutils eutils toolchain-funcs
+
+[ "$PV" == "9999" ] && inherit git-r3
DESCRIPTION="Windowed adaptive quality-based trimming tool for FASTQ data from Illumina/Solexa"
HOMEPAGE="https://github.com/najoshi/sickle"
-EGIT_REPO_URI="https://github.com/najoshi/sickle"
+if [ "$PV" == "9999" ]; then
+ EGIT_REPO_URI="https://github.com/najoshi/sickle"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/najoshi/sickle/archive/v"${PV}".tar.gz"
+ KEYWORDS="~amd64"
+fi
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}
sys-libs/zlib"
+src_prepare(){
+ sed -e "s#-pedantic#-pedantic ${CFLAGS}#;s#gcc#"$(tc-getCC)"#" -i Makefile || die
+}
+
src_install(){
dobin sickle
dodoc README.md
diff --git a/sci-biology/sickle/sickle-9999.ebuild b/sci-biology/sickle/sickle-9999.ebuild
index 022474e..2288aea 100644
--- a/sci-biology/sickle/sickle-9999.ebuild
+++ b/sci-biology/sickle/sickle-9999.ebuild
@@ -4,21 +4,32 @@
EAPI=5
-inherit eutils git-r3
+inherit eutils eutils toolchain-funcs
+
+[ "$PV" == "9999" ] && inherit git-r3
DESCRIPTION="Windowed adaptive quality-based trimming tool for FASTQ data from Illumina/Solexa"
HOMEPAGE="https://github.com/najoshi/sickle"
-EGIT_REPO_URI="https://github.com/najoshi/sickle"
+if [ "$PV" == "9999" ]; then
+ EGIT_REPO_URI="https://github.com/najoshi/sickle"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/najoshi/sickle/archive/v"${PV}".tar.gz"
+ KEYWORDS="~amd64"
+fi
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}
sys-libs/zlib"
+src_prepare(){
+ sed -e "s#-pedantic#-pedantic ${CFLAGS}#;s#gcc#"$(tc-getCC)"#" -i Makefile || die
+}
+
src_install(){
dobin sickle
dodoc README.md
next reply other threads:[~2015-03-09 16:45 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-03-09 16:45 Martin Mokrejs [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-03-20 11:03 [gentoo-commits] proj/sci:master commit in: sci-biology/sickle/ Andrew Ammerlaan
2021-03-06 14:32 Andrew Ammerlaan
2021-01-19 16:35 Andrew Ammerlaan
2021-01-19 16:35 Andrew Ammerlaan
2015-06-05 11:20 Justin Lecher
2015-01-15 11:14 Martin Mokrejs
2014-09-05 15:24 Jauhien Piatlicki
2014-03-24 0:34 Martin Mokrejs
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1425919450.53f3408793c23dd0612952d22bc4a6c599e2b295.mmokrejs@gentoo \
--to=mmokrejs@fold.natur.cuni.cz \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox